Summary: A graphical interface for modifing system date and time
Name: dateconfig
Version: 0.7.5
Release: 7
URL: http://www.redhat.com/
License: GPL
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source0: %{name}-%{version}.tar.gz
Obsoletes: timetool
Requires: pygtk
Requires: python
Requires: pygnome
Requires: usermode >= 1.36
Requires: ntp
Requires: chkconfig

%description
dateconfig is a graphical interface for changing the system date and time,
configuring the system time zone, and setting up the NTP daemon 
to synchronize the time of the system with a NTP time server.

%prep
%setup -q

%build
make

%install
make INSTROOT=$RPM_BUILD_ROOT install

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -d /usr/share/dateconfig ] ; then
  rm -rf /usr/share/dateconfig/*.pyc
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%doc doc/*
/usr/bin/dateconfig
/usr/bin/redhat-config-time
/usr/bin/redhat-config-date
/usr/bin/timetool
#/usr/share/locale/*/*/*
%dir /usr/share/dateconfig
/usr/share/dateconfig/*
%dir /usr/lib/dateconfig
/usr/lib/dateconfig/*
%attr(0644,root,root) %{_mandir}/man8/dateconfig*
%attr(0644,root,root) %{_mandir}/ja/man8/dateconfig*
%attr(0644,root,root) %config /etc/X11/applnk/System/dateconfig.desktop
%attr(0644,root,root) %config /etc/X11/sysconfig/dateconfig.desktop
%attr(0644,root,root) /usr/share/pixmaps/dateconfig.png
%attr(0644,root,root) %config(noreplace) /etc/security/console.apps/dateconfig
%attr(0644,root,root) %config(noreplace) /etc/pam.d/dateconfig
%attr(0644,root,root) %config(noreplace) /etc/security/console.apps/redhat-config-time
%attr(0644,root,root) %config(noreplace) /etc/pam.d/redhat-config-time
%attr(0644,root,root) %config(noreplace) /etc/security/console.apps/redhat-config-date
%attr(0644,root,root) %config(noreplace) /etc/pam.d/redhat-config-date
%attr(0644,root,root) %config(noreplace) /etc/security/console.apps/timetool
%attr(0644,root,root) %config(noreplace) /etc/pam.d/timetool


%changelog
* Fri Apr 12 2002 Brent Fox <bfox@redhat.com>
- Updated po files to translate the world tags

* Thu Apr 11 2002 Brent Fox <bfox@redhat.com>
- Add snipped of code from msw for pygtk thread problem

* Wed Apr 10 2002 Brent Fox <bfox@redhat.com>
- Create symbolic link to timetool

* Thu Oct 18 2001 Brent Fox <bfox@redhat.com>
-Put timezonemapmodule in /usr/lib/dateconfig

* Thu Aug 30 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.7.4-6
- Fix some character sets for translations (#52851)
- dateconfig.png isn't a config file, mark the config files as noreplace

* Mon Aug 27 2001 Tammy Fox <tfox@redhat.com>
- Updated docs for UTC button

* Thu Aug 16 2001 Brent Fox <bfox@redhat.com>
- Fix sizing for non-US languages

* Mon Aug 6 2001 Brent Fox <bfox@redhat.com>
- added redhat-config-time and redhat-config-date scripts

* Fri Aug 3 2001 Brent Fox <bfox@redhat.com>
- created an icon 
- fixed install process to install icon and drop a file in /etc/X11/sysconfig

* Fri Aug  3 2001 Preston Brown <pbrown@redhat.com>
- set hardware clock as well.

* Fri Jul 27 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese translation.

* Fri Jul 20 2001 Tammy Fox <tfox@redhat.com>
- added i18n stuff
* Wed Jul 04 2001 Karsten Hopp <karsten@redhat.de>
- fix install-path (INSTROOT)
* Tue Jun 27 2001 Tammy Fox <tfox@redhat.com>
- added help and help button
* Sun Jun 24 2001 Brent Fox <bfox@redhat.com>
- got starting and stopping of ntpd working
- enabled detection of whether ntpd is currently running 
- added msf to author list
* Thu Jun 21 2001 Brent Fox <bfox@redhat.com>
- fixed problem with system path in timezone_gui.py
* Wed Jun 13 2001 Tammy Fox <tfox@redhat.com>
- improved man page
* Tue Jun 12 2001 Tammy Fox <tfox@redhat.com>
- added console access, fixed Makefile and spec file
* Mon Jun 11 2001 Brent Fox <bfox@redhat.com>
- added ntp section and timezone section
* Sun Jan 28 2001 Brent Fox <bfox@redhat.com>
- initial coding and packaging

